%define upstream_name    Git-Repository
%define upstream_version 1.324

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to Git repositories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=133951
Patch0:     Git-Repository-1.324-fix-default-branch-name.patch
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Version::Compare) >= 1.1.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(System::Command) >= 1.118.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires::Git) >= 1.5.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
Requires:   git
BuildArch:  noarch

%description
Git::Repository is a Perl interface to Git, for scripted interactions
with repositories. It's a low-level interface that allows calling any
Git command, whether porcelain or plumbing, including bidirectional
commands such as git commit-tree.

A Git::Repository object simply provides context to the git commands
being run. It is possible to call the command() and run() methods
against the class itself, and the context (typically current working
directory) will be obtained from the options and environment.

As a low-level interface, it provides no sugar for particular Git
commands. Specifically, it will not prepare environment variables that
individual Git commands may need or use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jan 27 2021 neoclust <neoclust> 1.324.0-3.mga8
+ Revision: 1673765
- Add upstream workaround to fix tests

* Sun Feb 16 2020 umeabot <umeabot> 1.324.0-2.mga8
+ Revision: 1530536
- Mageia 8 Mass Rebuild

* Mon Sep 02 2019 tv <tv> 1.324.0-1.mga8
+ Revision: 1436378
- update to 1.324

* Fri Nov 23 2018 tv <tv> 1.323.0-1.mga7
+ Revision: 1333525
- update to 1.323

* Thu Sep 20 2018 tv <tv> 1.322.0-2.mga7
+ Revision: 1285400
- Match new error message format in git 2.19 (rhbz#1622996)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 1.322.0-1.mga7
+ Revision: 1221562
- update to 1.322

* Mon Oct 02 2017 tv <tv> 1.321.0-2.mga7
+ Revision: 1164555
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 1.321.0-1.mga7
+ Revision: 1162506
- new version 1.321

* Mon Jul 31 2017 sander85 <sander85> 1.320.0-1.mga7
+ Revision: 1133023
- update to 1.320

* Sun Jun 19 2016 pterjan <pterjan> 1.318.0-2.mga6
+ Revision: 1027938
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.318.0-1.mga6
+ Revision: 1007860
- Add missing BRs/Rs and cleanups
- update to 1.318

* Fri Feb 19 2016 umeabot <umeabot> 1.315.0-2.mga6
+ Revision: 969054
- Mageia 6 Mass Rebuild

* Thu Jul 30 2015 sander85 <sander85> 1.315.0-1.mga6
+ Revision: 859030
- update to 1.315

* Sat Jul 04 2015 sander85 <sander85> 1.314.0-1.mga6
+ Revision: 850540
- update to 1.314

* Wed Oct 15 2014 umeabot <umeabot> 1.312.0-3.mga5
+ Revision: 740937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.312.0-2.mga5
+ Revision: 684870
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 1.312.0-1.mga5
+ Revision: 659425
- update to 1.312

* Thu Mar 13 2014 jquelin <jquelin> 1.311.0-1.mga5
+ Revision: 602913
- update to 1.311

* Mon Feb 10 2014 sander85 <sander85> 1.310.0-1.mga5
+ Revision: 588152
- update to 1.310

* Sat Oct 19 2013 umeabot <umeabot> 1.308.0-2.mga4
+ Revision: 531663
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 sander85 <sander85> 1.308.0-1.mga4
+ Revision: 464547
- update to 1.308

* Fri Jul 26 2013 sander85 <sander85> 1.307.0-1.mga4
+ Revision: 458711
- update to 1.307

* Wed Jun 26 2013 jquelin <jquelin> 1.305.0-1.mga4
+ Revision: 446962
- update to 1.305

* Mon Jun 10 2013 jquelin <jquelin> 1.304.0-1.mga4
+ Revision: 441580
- update to 1.304

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 367749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 342190
- update to 1.300

* Tue Nov 06 2012 jquelin <jquelin> 1.280.0-1.mga3
+ Revision: 315065
- update to 1.28

* Mon Oct 15 2012 jquelin <jquelin> 1.270.0-1.mga3
+ Revision: 306103
- update to 1.27

* Fri Aug 31 2012 kharec <kharec> 1.260.0-1.mga3
+ Revision: 286538
- update to 1.26

* Mon Jan 09 2012 jquelin <jquelin> 1.250.0-1.mga2
+ Revision: 193847
- update to 1.25

* Sun Dec 04 2011 kharec <kharec> 1.230.0-1.mga2
+ Revision: 176176
- update to 1.23

* Mon Sep 26 2011 jquelin <jquelin> 1.220.0-2.mga2
+ Revision: 148430
- fix summary & description

* Mon Sep 26 2011 jquelin <jquelin> 1.220.0-1.mga2
+ Revision: 148079
- update to 1.22
- imported package perl-Git-Repository


* Fri Aug 26 2011 cpan2dist 1.21-1mga
- initial mageia release, generated with cpan2dist
